Преглед изворни кода

Try locate `readlink` first in pyenv-hooks, fix #2654 (#2655)

* Remove all use of `greadlink`, fix #2654

Signed-off-by: Harry Chen <i@harrychen.xyz>

* revert greadlink back in tests

---------

Signed-off-by: Harry Chen <i@harrychen.xyz>
Co-authored-by: Anton Petrov <anton.a.petrov@gmail.com>
pull/2668/head
Shengqi Chen пре 3 година
committed by GitHub
родитељ
комит
b1ee6c93c4
No known key found for this signature in database GPG Key ID: 4AEE18F83AFDEB23
4 измењених фајлова са 9 додато и 4 уклоњено
  1. +1
    -1
      libexec/pyenv
  2. +1
    -1
      libexec/pyenv-hooks
  3. +1
    -1
      libexec/pyenv-versions
  4. +6
    -1
      plugins/python-build/bin/python-build

+ 1
- 1
libexec/pyenv Прегледај датотеку

@ -29,7 +29,7 @@ if enable -f "${BASH_SOURCE%/*}"/../libexec/pyenv-realpath.dylib realpath 2>/dev
else
[ -z "$PYENV_NATIVE_EXT" ] || abort "failed to load \`realpath' builtin"
READLINK=$(type -P greadlink readlink | head -n1)
READLINK=$(type -P readlink)
[ -n "$READLINK" ] || abort "cannot find readlink - are you missing GNU coreutils?"
resolve_link() {

+ 1
- 1
libexec/pyenv-hooks Прегледај датотеку

@ -26,7 +26,7 @@ if ! enable -f "${BASH_SOURCE%/*}"/pyenv-realpath.dylib realpath 2>/dev/null; th
echo "pyenv: failed to load \`realpath' builtin" >&2
exit 1
fi
READLINK=$(type -P greadlink readlink | head -n1)
READLINK=$(type -P readlink)
if [ -z "$READLINK" ]; then
echo "pyenv: cannot find readlink - are you missing GNU coreutils?" >&2
exit 1

+ 1
- 1
libexec/pyenv-versions Прегледај датотеку

@ -34,7 +34,7 @@ if ! enable -f "${BASH_SOURCE%/*}"/pyenv-realpath.dylib realpath 2>/dev/null; th
exit 1
fi
READLINK=$(type -P greadlink readlink | head -n1)
READLINK=$(type -P readlink)
if [ -z "$READLINK" ]; then
echo "pyenv: cannot find readlink - are you missing GNU coreutils?" >&2
exit 1

+ 6
- 1
plugins/python-build/bin/python-build Прегледај датотеку

@ -56,9 +56,14 @@ lib() {
}
lib "$1"
READLINK=$(type -P readlink)
if [ -z "$READLINK" ]; then
echo "pyenv: cannot find readlink - are you missing GNU coreutils?" >&2
exit 1
fi
resolve_link() {
$(type -P greadlink readlink | head -n1) "$1"
$READLINK "$1"
}
abs_dirname() {

Loading…
Откажи
Сачувај